#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	json-glib
Version		:	1.8.0
Release		:	16.2.0.rel%{?dist}
Summary		:	JSON-related tools using GLib and GObject.

Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL

URL		:	http://ftp.gnome.org/pub/gnome/sources/json-glib

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	meson, ninja
#-----------------------------------------------------------------------------
%description
JSON-GLib implements a full suite of JSON-related
tools using GLib and GObject

Use JSON-GLib it is possible to parse and generate
valid JSON data structures using a DOM-like API.
JSON-GLib also integrates with GObject to provide
the ability to serialize and deserialize GObject
instances to and from JSON data types.

JSON is the JavaScript Object Notation; it can be
used to represent objects and object hierarchies
while retaining human-readability.

GLib is a C library providing common and efficient
data types for the C developers.

GObject is a library providing a run-time
Object Oriented type system for C developers.
GLib and GObject are extensively used by the
GTK+ toolkit and by the [GNOME][gnome] project.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

mkdir build
pushd build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D gtk_doc=disabled				\

ninja

#-----------------------------------------------------------------------------
#installing program
%install

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)

%doc NEWS README.md
%{_bindir}/%{name}-*
%{_includedir}/%{name}-1.0/%{name}/json-*.h
%{_libexecdir}/installed-tests/%{name}-1.0/*
%{_libdir}/lib%{name}-1.0.so*
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}-1.0.mo
%{_datadir}/installed-tests/%{name}-1.0/*.test
#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
